
/* $Id: at86rf231.txt,v 1.12 2010/12/05 20:21:54 awachtler Exp $ */
/**
 * @file
 * @brief AT86RF231 2.4GHz IEEE 802.15.4-2006-Transceiver.
 */
#ifndef AT86RF231_H
#define AT86RF231_H (1)

/* === Includes ============================================================== */

// STELARISWARE
#include "inc/hw_types.h"


// PROJECT INCLUDES
#include "at86rf2xx.h"
#include "packet.h"
#include "sniffer.h"

/* === Macros ================================================================ */


/* === Externals ============================================================= */
extern tBoolean trx231_init(tSnifferSettings *SnifferSettings, unsigned long *ptrTimestamp);
extern void trx231_irq(void);
extern void trx231_print_ident(void);
extern void trx231_set_filter_mac_addr(unsigned char mac[]);
extern void trx231_set_filter_panid(unsigned char panid[]);
extern void trx231_set_filter_short_address(unsigned char addr[]);
extern void trx231_set_promiscuos_mode(void);
extern tBoolean trx231_setstate_RX_ON(void);
extern tBoolean trx231_setstate_TRX_OFF(void);
extern unsigned char trx231_get_state(void);
extern tBoolean trx231_set_channel(unsigned char chn);
extern unsigned char trx231_get_channel(void);
extern tBoolean trx231_ED_Scan(unsigned char *data,unsigned char chn, tSnifferState state);
extern tBoolean trx231_set_config(unsigned char chan,
                           tSnifferSensitivity sens,
                           unsigned char *panfilter,
                           tSnifferState state);


#endif /* ifndef AT86RF231_H */
